﻿.projects{
    position: relative;
    display: block;
    width: 100%;
    min-height: 100vh;
}
.projects-box{
    width: calc(100% / 6 * 4);
    max-width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    z-index: 6;
    padding-top: 70px;
}
.projects-bcimg-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    pointer-events: none;
}
.projects-bcimg{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.projects-text-projectslogo{
    width: calc(100% / 6 );
    max-width:100%;
    height: 100%;
    position: absolute;
    z-index: 5;
    display: inline-block;
    text-align: center;
    left: 0;
    background-color: #f8f8f8;
    writing-mode: vertical-lr;
    writing-mode: tb-lr;
    opacity: 0;
}
.projects-text-projectslogo span{
    font-size: 120px;
    font-family: "Anton";
    color: #888;
    letter-spacing: 10px;
    opacity: 0;
    padding-left: 7%;
}
.projects-text-projects-box{
    width: 80%;
    position: relative;
    color: #555;
    display: inline-block;
}
.projects-text-projects-box span{
    font-size: 24px;
    font-family: "Noto Sans TC";
    letter-spacing: 3px;
    font-weight: bold;
    margin-top: 15px;
}
.projects-text-projects{
    display: inline-flex;
    color:#78cbbf;
    font-size: 30px;
    padding-left: 20px;
    font-weight: bold;
    opacity: 0;
}

.projects-text-projects-line span{
    display: block;
    background-color: #d1d1d1;
    width: 260px;
    height: 1px;
    opacity: 0;
}
.projects-info-box{
    width: 100%;
    display: inline-block;
}
.projects-info{
    display: inline-block;
    position: relative;
    padding-left: 20px;
    margin-bottom: 30px;
}
.projects-text-projects-line{
    padding-bottom: 30px;
}
.projects-img-box{
    width: 400px;
    max-width: 100%;
    height: 300px;
    display: block;
    cursor: pointer;
    overflow: hidden;
}
.projects-img{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .5s ease;
}
.projects-text-lattice{
    display: block;
    width: 20px;
    height: 100%;
    background-color: #78cbbf;
    position: absolute;
    transition: all 0.4s linear;
}
.projects-text-box {
    display: block;
    color: #747474;
    align-items: center;
    font-size: 16px;
    font-family: "微軟正黑體";
    letter-spacing: 1px;
    position: relative;
    cursor: pointer;
}
.projects-text-box span{
    padding-left: 10px;
    color: #555;
    transition: all .5s ease;
}
.projects-text-span{
    padding: 10px 20px;
    position: relative;
    transition: all .5s ease;
}

.projects-text-imgnumber{
    font-size: 40px;
    display: inline-flex;
    letter-spacing: 20px;
    font-family: "Anton";
    color: #555;
    position: absolute;
    z-index: 11;
    top: 45%;
    right: 7%;
}
.projects-text-imgnumber i{
    padding-top: 30px;
    font-size: 22px;
     cursor: pointer;
}
.projects-info-all{
    display: inline-block;
    opacity: 0;
}
.projects-line-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top:0;
    pointer-events: none;
}
.fancybox-b-box{
    width: 800px;
    max-width: 100%;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-s-img-box{
    width: 100%;
    font-size: 0;
    margin-top: 20px;
    height: 68px;
}
.fancybox-s-img{
    height: 68px;
    margin:0 5px;
    box-sizing: border-box;
    cursor: pointer;
}
.fancybox-s-img.slick-current{
    border: 3px solid #78cbbf;
}

.projects-info:hover .projects-text-lattice{
    width: 100%;
}
.projects-info:hover .projects-text-span{
    color: #fff;
}
.projects-info:hover .projects-text-box span{
    color: #000;
    font-weight: bold;
    transition: all 0.4s linear ;
}
.projects-text-imgnumber i:hover{
    color: #78cbbf;
    transition: all 0.4s linear ;
}
.projects-text-projects-box>span{
    opacity: 0;
}
/*-----------------animation----------------------*/
.projects-text-projectslogo.active{
    opacity: 1;
    animation: bksmalltobig 1s ease;
}
.projects-text-projectslogo span.active{
    opacity: 0.3;
    animation: rtol 1.5s ease;
}
.projects-text-projects.active{
    opacity: 1;
    animation: rotateandinUp 1s ease;
}
.projects-text-projects-line span.active{
    opacity: 1;
    animation: lineslongtoshort 2s ease;
}
.projects-info-all.active{
    animation: fad 2s ease;
    opacity: 1;
}
.projects-text-projects-box>span.active{
    animation: fad 2s ease;
    opacity: 1;
}

.projects-info:hover .projects-img{
    transform: scale(1.1);
}